% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/reference_values.R
\name{.Get_reference_z_score}
\alias{.Get_reference_z_score}
\title{Get z-score for a given combination of model and measurement}
\usage{
.Get_reference_z_score(
  metric,
  sex,
  level,
  age,
  measurement,
  verbose = FALSE,
  digits = 2
)
}
\arguments{
\item{metric}{character, body composition metric}

\item{sex}{character, "Female" or "Male"}

\item{level}{character, used vertebral level}

\item{age}{integer, age}

\item{measurement}{numeric, raw value of measurement}

\item{verbose}{logical, should messages be displayed}

\item{digits}{integer, digits to round percentile to}
}
\value{
numeric, corresponding z-score
}
\description{
For a given constellation of metric, sex, vertebral level, and age returns the corresponding z-score for a given measurement
}
\author{
J. Peter Marquardt
}
